[ Help Home ] [ > ]
Hardware and Software Requirements
  • Hardware Requiements
    Running the WebLab system can be rather taxing on hardware.
    At a minimum you will need: Dual-core CPU + 8G RAM + ~30G harddisk
  • Fundamental Software Requiements
    To install a local version of WebLab you will need following fundamental softwares:
    • Linux OS 2.6.*
    • Java 1.5
    • Tomcat6 + Apache2 (with mod_jk)
    • MySQL5 (with innodb support)
    • Perl 5.8.*
    • Ant 1.7.0 or better
    • Graphviz 2.12 or better
    • Bibutils 3.40 or better
    • Imagemagick 6.3.4 or better
    • txt2html 2.50 or better
    • pdf2html 0.36 or better
    • wvWare1.2.3 or better
  • Service Software Requiements
    We need following softwares as main component for the service function for WebLab system.
    We provide configuration files for every software, so please install the software package with the exact version number we provide. Otherwise, the according service may work abnormally.
    • EMBOSS-6.0.1
    • EMBASSY-6.0.1 including:
      • HMMER-2.3.2
      • PHYLIP-3.6b
      • VIENNA-1.7.2
      • MSE-1.0.0
      • ESIM4-1.0.0
      • TOPO-1.0.0
      • SIGNATURE-0.1.0
      • STRUCTURE-0.1.0
      • DOMSEARCH-0.1.0
      • DOMALIGN-0.1.0
      • DOMAINATRIX-0.1.0
    • glimmer-3.02
    • phyml-2.45
    • kalign-2.03
    • blast-2.2.18

 

Copyright© 2006-2007, CBI All Rights Reserved.